OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
ConversionTraits< T > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | Handle = AttributeHandle< T, UnknownCodec >
using | WriteHandle = AttributeWriteHandle< T, UnknownCodec >

## Static Public Member Functions
static T | zero ()
template<typename LeafT >
static Handle::Ptr | handleFromLeaf (LeafT &leaf, Index index)
template<typename LeafT >
static WriteHandle::Ptr | writeHandleFromLeaf (LeafT &leaf, Index index)

## Member Typedef Documentation

## ◆ Handle

using Handle = AttributeHandle<T, UnknownCodec>

## ◆ WriteHandle

using WriteHandle = AttributeWriteHandle<T, UnknownCodec>

## Member Function Documentation

## ◆ handleFromLeaf()

static Handle::Ptr handleFromLeaf | ( | LeafT & | leaf,
|  | Index | index
| ) |  |
| inline static

## ◆ writeHandleFromLeaf()

static WriteHandle::Ptr writeHandleFromLeaf | ( | LeafT & | leaf,
|  | Index | index
| ) |  |
| inline static

## ◆ zero()

static T zero | ( |  | ) |
| inline static

The documentation for this struct was generated from the following file:

- PointConversion.h